Index: includes/definitions/mibs/bdcom.inc.php
===================================================================
--- includes/definitions/mibs/bdcom.inc.php	(revision 9757)
+++ includes/definitions/mibs/bdcom.inc.php	(working copy)
@@ -2,6 +2,41 @@
 
 // BDCOM
 
+$mib                                  = 'NMS-IPAcl';
+$config['mibs'][$mib]['enable']       = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.2.5';
+$config['mibs'][$mib]['mib_dir']      = 'bdcom';
+$config['mibs'][$mib]['descr']        = '';
+//.1.3.6.1.4.1.3320.2.5.1.0 = INTEGER: 0
+//NMS-IPAcl::nmsAclTotal.0 = INTEGER: 0
+
+
+$mib = 'NMS-DHCP-SNOOPING-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.2.233';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+//NMS-DHCP-SNOOPING-MIB::dhcpSnoopingStatus.0 = INTEGER: disable(0)
+//.1.3.6.1.4.1.3320.2.233.1.0 = INTEGER: disable(0)
+
+
+$mib = 'NMS-LOG-SERVER-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.2.235';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+//NMS-LOG-SERVER-MIB::logServerOff.0 = INTEGER: on(0)
+//NMS-LOG-SERVER-MIB::logTrapAddr.10.99.1.125 = IpAddress: 10.99.1.125
+//NMS-LOG-SERVER-MIB::logTrapRowStatus.10.99.1.125 = INTEGER: active(1)
+//NMS-LOG-SERVER-MIB::logTrapRfcVer.10.99.1.125 = INTEGER: RFC5424(1)
+//NMS-LOG-SERVER-MIB::logTrap.0 = INTEGER: warning(4)
+//.1.3.6.1.4.1.3320.2.235.2.0 = INTEGER: on(0)
+//.1.3.6.1.4.1.3320.2.235.3.1.1.10.99.1.125 = IpAddress: 10.99.1.125
+//.1.3.6.1.4.1.3320.2.235.3.1.2.10.99.1.125 = INTEGER: active(1)
+//.1.3.6.1.4.1.3320.2.235.3.1.3.10.99.1.125 = INTEGER: RFC5424(1)
+//.1.3.6.1.4.1.3320.2.235.4.0 = INTEGER: warning(4)
+
+
 $mib                                  = 'NMS-OPTICAL-PORT-MIB';
 $config['mibs'][$mib]['enable']       = 1;
 $config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.183';
@@ -189,4 +224,450 @@
 NMS-CHASSIS::nmsElectricCurrent.0 = INTEGER: 2
 NMS-CHASSIS::nmsVoltageCurrent.0 = INTEGER: 12
 */
+
+
+$mib = 'NMS-MEMORY-POOL';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.48.1.0';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolUtilization.0 = INTEGER: 59
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolTotalMemorySize.0 = INTEGER: 134217728
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolImageRatio.0 = INTEGER: 1619
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolRegionRatio.0 = INTEGER: 19
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolHeapRatio.0 = INTEGER: 74
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolHeapUtilization.0 = INTEGER: 38
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolMessageBufferRatio.0 = INTEGER: 5
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolMessageBufferUtilization.0 = INTEGER: 0
+//NMS-MEMORY-POOL-MIB::nmsMemoryPoolTotalFlashSize.0 = INTEGER: 16777216
+
+
+$mib = 'NMS-IF-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.63';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+
+/* .1.3.6.1.4.1.3320.9.63.1.7 :
+NMS-IF-MIB::IfIndex.1 = INTEGER: 1
+NMS-IF-MIB::IfIndex.2 = INTEGER: 2
+NMS-IF-MIB::IfIndex.3 = INTEGER: 3
+NMS-IF-MIB::IfIndex.4 = INTEGER: 4
+NMS-IF-MIB::IfIndex.5 = INTEGER: 5
+NMS-IF-MIB::IfIndex.6 = INTEGER: 6
+NMS-IF-MIB::IfIndex.7 = INTEGER: 7
+NMS-IF-MIB::IfIndex.8 = INTEGER: 8
+NMS-IF-MIB::IfIndex.9 = INTEGER: 9
+NMS-IF-MIB::IfIndex.10 = INTEGER: 10
+NMS-IF-MIB::IfIndex.11 = INTEGER: 11
+NMS-IF-MIB::IfIndex.12 = INTEGER: 12
+NMS-IF-MIB::txPower1.1 = INTEGER: -65535
+NMS-IF-MIB::txPower1.2 = INTEGER: -65535
+NMS-IF-MIB::txPower1.3 = INTEGER: -65535
+NMS-IF-MIB::txPower1.4 = INTEGER: -65535
+NMS-IF-MIB::txPower1.5 = INTEGER: -65535
+NMS-IF-MIB::txPower1.6 = INTEGER: -65535
+NMS-IF-MIB::txPower1.7 = INTEGER: -65535
+NMS-IF-MIB::txPower1.8 = INTEGER: -65535
+NMS-IF-MIB::txPower1.9 = INTEGER: -65535
+NMS-IF-MIB::txPower1.10 = INTEGER: -65535
+NMS-IF-MIB::txPower1.11 = INTEGER: -65535
+NMS-IF-MIB::txPower1.12 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.1 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.2 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.3 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.4 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.5 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.6 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.7 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.8 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.9 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.10 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.11 = INTEGER: -65535
+NMS-IF-MIB::rxPower1.12 = INTEGER: -65535
+NMS-IF-MIB::temperature.1 = INTEGER: -65535
+NMS-IF-MIB::temperature.2 = INTEGER: -65535
+NMS-IF-MIB::temperature.3 = INTEGER: -65535
+NMS-IF-MIB::temperature.4 = INTEGER: -65535
+NMS-IF-MIB::temperature.5 = INTEGER: -65535
+NMS-IF-MIB::temperature.6 = INTEGER: -65535
+NMS-IF-MIB::temperature.7 = INTEGER: -65535
+NMS-IF-MIB::temperature.8 = INTEGER: -65535
+NMS-IF-MIB::temperature.9 = INTEGER: -65535
+NMS-IF-MIB::temperature.10 = INTEGER: -65535
+NMS-IF-MIB::temperature.11 = INTEGER: -65535
+NMS-IF-MIB::temperature.12 = INTEGER: -65535
+NMS-IF-MIB::vlotage.1 = INTEGER: -65535
+NMS-IF-MIB::vlotage.2 = INTEGER: -65535
+NMS-IF-MIB::vlotage.3 = INTEGER: -65535
+NMS-IF-MIB::vlotage.4 = INTEGER: -65535
+NMS-IF-MIB::vlotage.5 = INTEGER: -65535
+NMS-IF-MIB::vlotage.6 = INTEGER: -65535
+NMS-IF-MIB::vlotage.7 = INTEGER: -65535
+NMS-IF-MIB::vlotage.8 = INTEGER: -65535
+NMS-IF-MIB::vlotage.9 = INTEGER: -65535
+NMS-IF-MIB::vlotage.10 = INTEGER: -65535
+NMS-IF-MIB::vlotage.11 = INTEGER: -65535
+NMS-IF-MIB::vlotage.12 = INTEGER: -65535
+NMS-IF-MIB::curr1.1 = INTEGER: -65535
+NMS-IF-MIB::curr1.2 = INTEGER: -65535
+NMS-IF-MIB::curr1.3 = INTEGER: -65535
+NMS-IF-MIB::curr1.4 = INTEGER: -65535
+NMS-IF-MIB::curr1.5 = INTEGER: -65535
+NMS-IF-MIB::curr1.6 = INTEGER: -65535
+NMS-IF-MIB::curr1.7 = INTEGER: -65535
+NMS-IF-MIB::curr1.8 = INTEGER: -65535
+NMS-IF-MIB::curr1.9 = INTEGER: -65535
+NMS-IF-MIB::curr1.10 = INTEGER: -65535
+NMS-IF-MIB::curr1.11 = INTEGER: -65535
+NMS-IF-MIB::curr1.12 = INTEGER: -65535
+NMS-IF-MIB::vendname.1 = ""
+NMS-IF-MIB::vendname.2 = ""
+NMS-IF-MIB::vendname.3 = ""
+NMS-IF-MIB::vendname.4 = ""
+NMS-IF-MIB::vendname.5 = ""
+NMS-IF-MIB::vendname.6 = ""
+NMS-IF-MIB::vendname.7 = ""
+NMS-IF-MIB::vendname.8 = ""
+NMS-IF-MIB::vendname.9 = ""
+NMS-IF-MIB::vendname.10 = ""
+NMS-IF-MIB::vendname.11 = ""
+NMS-IF-MIB::vendname.12 = ""
+*/
+
+
+$mib = 'NMS-INTERFACE-EXT';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.64';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+
+
+$mib = 'NMS-PROCESS-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.109';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+
+/*
+NMS-PROCESS-MIB::nmspmCPUTotalIndex.1 = Gauge32: 1
+NMS-PROCESS-MIB::nmspmCPUTotalPhysicalIndex.1 = OID: iso.0
+NMS-PROCESS-MIB::nmspmCPUTotal5sec.1 = Gauge32: 10 percent
+NMS-PROCESS-MIB::nmspmCPUTotal1min.1 = Gauge32: 9 percent
+NMS-PROCESS-MIB::nmspmCPUTotal5min.1 = Gauge32: 9 percent
+NMS-PROCESS-MIB::nmspmCPUMaxUtilization.0 = Gauge32: 84 percent
+NMS-PROCESS-MIB::nmspmCPUClearMaxUtilization.0 = INTEGER: 0 percent
+NMS-PROCESS-MIB::nmspmCPU.4.0 = INTEGER: 80
+.1.3.6.1.4.1.3320.9.109.1.1.1.1.1.1 = Gauge32: 1
+.1.3.6.1.4.1.3320.9.109.1.1.1.1.2.1 = OID: .1.0
+.1.3.6.1.4.1.3320.9.109.1.1.1.1.3.1 = Gauge32: 9 percent
+.1.3.6.1.4.1.3320.9.109.1.1.1.1.4.1 = Gauge32: 9 percent
+.1.3.6.1.4.1.3320.9.109.1.1.1.1.5.1 = Gauge32: 9 percent
+.1.3.6.1.4.1.3320.9.109.1.1.2.0 = Gauge32: 84 percent
+.1.3.6.1.4.1.3320.9.109.1.1.3.0 = INTEGER: 0 percent
+.1.3.6.1.4.1.3320.9.109.1.1.4.0 = INTEGER: 80
+*/
+
+
+$mib = 'NMS-CARD-SYS-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.181';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+/* .1.3.6.1.4.1.3320.9.181
+NMS-CARD-SYS-MIB::cardSysIndex.1 = INTEGER: 2
+NMS-CARD-SYS-MIB::cardSysDescr.1 = STRING: "P3310C mother card"
+NMS-CARD-SYS-MIB::cardSysType.1 = INTEGER: 982
+NMS-CARD-SYS-MIB::cardCPUUtilThreshold.1 = INTEGER: 90
+NMS-CARD-SYS-MIB::cardMemUtilThreshold.1 = INTEGER: 90
+NMS-CARD-SYS-MIB::cardCPUTempThreshold.1 = INTEGER: 75
+NMS-CARD-SYS-MIB::cardCPUTempCurr.1 = INTEGER: 50
+NMS-CARD-SYS-MIB::cardCPUTempThresholdLow.1 = INTEGER: -15
+NMS-CARD-SYS-MIB::cardCPUTempStatus.1 = INTEGER: normal(1)
+NMS-CARD-SYS-MIB::cardMemUtilThresholdMax.1 = INTEGER: 0
+NMS-CARD-SYS-MIB::cardSystemTemptureNodeNumber.1 = INTEGER: 1
+.1.3.6.1.4.1.3320.9.181.1.1.1.1 = INTEGER: 2
+.1.3.6.1.4.1.3320.9.181.1.1.2.1 = STRING: "P3310C mother card"
+.1.3.6.1.4.1.3320.9.181.1.1.3.1 = INTEGER: 982
+.1.3.6.1.4.1.3320.9.181.1.1.4.1 = INTEGER: 90
+.1.3.6.1.4.1.3320.9.181.1.1.5.1 = INTEGER: 90
+.1.3.6.1.4.1.3320.9.181.1.1.6.1 = INTEGER: 75
+.1.3.6.1.4.1.3320.9.181.1.1.7.1 = INTEGER: 50
+.1.3.6.1.4.1.3320.9.181.1.1.8.1 = INTEGER: -15
+.1.3.6.1.4.1.3320.9.181.1.1.9.1 = INTEGER: normal(1)
+.1.3.6.1.4.1.3320.9.181.1.1.10.1 = INTEGER: 0
+.1.3.6.1.4.1.3320.9.181.1.1.11.1 = INTEGER: 1
+*/
+
+
+$mib = 'NMS-VLAN-EXT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.182';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+/*
+NMS-VLAN-EXT-MIB::dot1qPvid.1 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.2 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.3 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.4 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.5 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.6 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.7 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.8 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.9 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPvid.10 = Gauge32: 1
+NMS-VLAN-EXT-MIB::dot1qPortType.1 = INTEGER: GigaEthernet(3)
+NMS-VLAN-EXT-MIB::dot1qPortType.2 = INTEGER: GigaEthernet(3)
+NMS-VLAN-EXT-MIB::dot1qPortType.3 = INTEGER: GigaEthernet(3)
+NMS-VLAN-EXT-MIB::dot1qPortType.4 = INTEGER: GigaEthernet(3)
+NMS-VLAN-EXT-MIB::dot1qPortType.5 = INTEGER: GigaEthernet(3)
+NMS-VLAN-EXT-MIB::dot1qPortType.6 = INTEGER: GigaEthernet(3)
+NMS-VLAN-EXT-MIB::dot1qPortType.7 = INTEGER: EPON(5)
+NMS-VLAN-EXT-MIB::dot1qPortType.8 = INTEGER: EPON(5)
+NMS-VLAN-EXT-MIB::dot1qPortType.9 = INTEGER: EPON(5)
+NMS-VLAN-EXT-MIB::dot1qPortType.10 = INTEGER: EPON(5)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.1 = INTEGER: Access(1)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.2 = INTEGER: Access(1)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.3 = INTEGER: Trunk(2)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.4 = INTEGER: Trunk(2)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.5 = INTEGER: Trunk(2)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.6 = INTEGER: Access(1)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.7 = INTEGER: Access(1)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.8 = INTEGER: Access(1)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.9 = INTEGER: Access(1)
+NMS-VLAN-EXT-MIB::dot1qPortSwitchingMode.10 = INTEGER: Access(1)
+*/
+
+
+$mib = 'NMS-CARD-OPERATION-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.184';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+
+
+$mib = 'NMS-FAN-TRAP';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.187';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+
+$config['mibs'][$mib]['status']['fan1RunningStatus']['indexes'][0] = array('descr' => 'Fan 1 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.1.0');
+$config['mibs'][$mib]['status']['fan2RunningStatus']['indexes'][0] = array('descr' => 'Fan 2 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.2.0');
+$config['mibs'][$mib]['status']['fan3RunningStatus']['indexes'][0] = array('descr' => 'Fan 3 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.3.0');
+$config['mibs'][$mib]['status']['fan4RunningStatus']['indexes'][0] = array('descr' => 'Fan 4 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.4.0');
+$config['mibs'][$mib]['status']['fan5RunningStatus']['indexes'][0] = array('descr' => 'Fan 5 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.5.0');
+$config['mibs'][$mib]['status']['fan6RunningStatus']['indexes'][0] = array('descr' => 'Fan 6 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.6.0');
+$config['mibs'][$mib]['status']['fan7RunningStatus']['indexes'][0] = array('descr' => 'Fan 7 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.7.0');
+$config['mibs'][$mib]['status']['fan8RunningStatus']['indexes'][0] = array('descr' => 'Fan 8 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.8.0');
+$config['mibs'][$mib]['status']['fan9RunningStatus']['indexes'][0] = array('descr' => 'Fan 9 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.9.0');
+$config['mibs'][$mib]['status']['fan10RunningStatus']['indexes'][0] = array('descr' => 'Fan 10 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.10.0');
+$config['mibs'][$mib]['status']['fan11RunningStatus']['indexes'][0] = array('descr' => 'Fan 11 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.11.0');
+$config['mibs'][$mib]['status']['fan12RunningStatus']['indexes'][0] = array('descr' => 'Fan 12 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.12.0');
+$config['mibs'][$mib]['status']['fan13RunningStatus']['indexes'][0] = array('descr' => 'Fan 13 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.13.0');
+$config['mibs'][$mib]['status']['fan14RunningStatus']['indexes'][0] = array('descr' => 'Fan 14 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.14.0');
+$config['mibs'][$mib]['status']['fan15RunningStatus']['indexes'][0] = array('descr' => 'Fan 15 Running Status', 'measured' => 'fan', 'type' => 'FanStatus', 'oid_num' => '.1.3.6.1.4.1.3320.9.187.3.15.0');
+
+/* Doesn't work
+$config['mibs'][$mib]['status']['FanRunningStatus']['tables'][] = array(
+  'table'    => 'FanRunningStatus',
+  'type'     => 'FanStatus',
+  'descr'    => 'Fan Running status',
+  'oid'      => 'FanStatus',
+  'oid_num'  => '.1.3.6.1.4.1.3320.9.187.3',
+  'measured' => 'fan'
+);
+
+*/
+$type = 'FanStatus';
+$config['mibs'][$mib]['states'][$type][1] = array('name' => 'normal', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][2] = array('name' => 'stop', 'event' => 'alert');
+$config['mibs'][$mib]['states'][$type][3] = array('name' => 'unused', 'event' => 'exclude');
+
+/* WORK, but show fake "normal" status
+$config['mibs'][$mib]['status']['FanTable']['tables'][] = array(
+  'table'    => 'FanTable',
+  'type'     => 'FanStatus',
+  'descr'    => 'Fan status',
+  'oid'      => 'FanStatus',
+  'oid_num'  => '.1.3.6.1.4.1.3320.9.187.4.1.2',
+  'measured' => 'fan'
+);
+*/
+
+//WTF - this device really have 2 fans.
+// Fake FanStatus and FanSpeed in Table. But normal status in fan_N_RunningStatus
+/*
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan1RunningStatus.0 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan2RunningStatus.0 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan3RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan4RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan5RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan6RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan7RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan8RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan9RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan10RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan11RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan12RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan13RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan14RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.fanRunningStatus.fan15RunningStatus.0 = INTEGER: unused(3)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.0 = INTEGER: 0
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.1 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.2 = INTEGER: 2
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.3 = INTEGER: 3
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.4 = INTEGER: 4
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.5 = INTEGER: 5
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.6 = INTEGER: 6
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.7 = INTEGER: 7
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanIndex.8 = INTEGER: 8
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.0 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.1 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.2 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.3 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.4 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.5 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.6 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.7 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanStatus.8 = INTEGER: normal(1)
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.0 = INTEGER: 3057
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.1 = INTEGER: 3058
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.2 = INTEGER: 3059
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.3 = INTEGER: 3060
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.4 = INTEGER: 3062
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.5 = INTEGER: 3063
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.6 = INTEGER: 3064
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.7 = INTEGER: 3065
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.FanSpeed.8 = INTEGER: 3067
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.0 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.1 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.2 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.3 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.4 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.5 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.6 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.7 = INTEGER: 1
+enterprises.nms.nmsMgmt.fanTrap.FanTable.FanTableEntry.4.8 = INTEGER: 1
+*/
+
+
+$mib = 'NMS-POWER-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.189';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+
+//.1.3.6.1.4.1.3320.9.189
+//NMS-POWER-MIB::powerStatus.0 = INTEGER: power-A-normal(1)
+
+
+$mib = 'NMS-POWER-EXT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.9.251';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+
+$config['mibs'][$mib]['status']['PowerDeviceTable']['tables'][] = array(
+  'table'     => 'PowerDeviceTable',
+  'type'      => 'PowerStatus',
+//  'oid_descr' => '.1.3.6.1.4.1.3320.9.251.4.1.3',
+  'descr'    => 'Power Supply status %index%',
+  'oid'       => 'PowerDeviceStatus',
+  'oid_num'   => '.1.3.6.1.4.1.3320.9.251.4.1.4',
+  'measured'  => 'phase'
+);
+
+$type = 'PowerStatus';
+$config['mibs'][$mib]['states'][$type][1] = array('name' => 'ON',  'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][2] = array('name' => 'OFF', 'event' => 'alert');
+
+/*
+enterprises.nms.nmsMgmt.powerExt.power1Status.0 = INTEGER: up(1)
+enterprises.nms.nmsMgmt.powerExt.power2Status.0 = INTEGER: down(0)
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerDeviceIndex.0 = INTEGER: 1
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerDeviceIndex.1 = INTEGER: 2
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerDeviceType.0 = INTEGER: 1
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerDeviceType.1 = INTEGER: EMPTY-SHELF(0)
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerDeviceDescr.0 = STRING: "INPUT-- AC 100~240V , 50/60Hz"
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerDeviceDescr.1 = STRING: "INPUT-- AC 100~240V , 50/60Hz"
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerDeviceStatus.0 = INTEGER: ON(1)
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerDeviceStatus.1 = INTEGER: OFF(2)
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerShelfNum.0 = INTEGER: A(1)
+enterprises.nms.nmsMgmt.powerExt.PowerDeviceTable.PowerDeviceTableEntry.PowerShelfNum.1 = INTEGER: A(1)
+*/
+
+$mib = 'NMS-EPON-ONU';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3320.101.10';
+$config['mibs'][$mib]['mib_dir'] = 'bdcom';
+$config['mibs'][$mib]['descr'] = '';
+
+$type = 'OnuStatus';
+$config['mibs'][$mib]['states'][$type][0] = array('name' => 'authenticated',  'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][1] = array('name' => 'registered',     'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][2] = array('name' => 'deregistered',   'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][3] = array('name' => 'auto-config',    'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][4] = array('name' => 'lost',           'event' => 'alert');
+
+$config['mibs'][$mib]['status']['nmsepononuTable']['tables'][] = array(
+                                              'oid'            => 'onuStatus',
+                                              'table'          => 'nmsepononuTable',
+                                              'table_walk'     => FALSE, // too big table, walk by OIDs
+                                              'type'           => 'OnuStatus',
+                                              'descr'          => 'Status %port_label% %index%',
+                                              'oid_descr'      => 'opIfIndex',
+                                              'oid_num'        => '.1.3.6.1.4.1.3320.101.10.1.1.26',
+                                              'measured_match' => [ ['entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%opIfIndex%' ] ]);
+
+$config['mibs'][$mib]['sensor'][]     = array('oid'            => 'opModuleTemp',
+                                              'table'          => 'nmsepononuopticalportTable',
+                                              'descr'          => 'Temperature %port_label%',
+                                              'oid_extra'      => 'opIfIndex',
+                                              'class'          => 'temperature',
+                                              'scale'          => 0.00390625, // 1/256th
+                                              'invalid'        => -65535,
+                                              'oid_num'        => '.1.3.6.1.4.1.3320.101.10.5.1.2',
+                                              'measured_match' => [ ['entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%opIfIndex%' ] ]);
+
+$config['mibs'][$mib]['sensor'][]     = array('oid'            => 'opModuleVolt',
+                                              'table'          => 'nmsepononuopticalportTable',
+                                              'descr'          => 'Supply Voltage %port_label%',
+                                              'oid_extra'      => 'opIfIndex',
+                                              'class'          => 'voltage',
+                                              'scale'          => 0.0001,
+                                              'invalid'        => -65535,
+                                              'oid_num'        => '.1.3.6.1.4.1.3320.101.10.5.1.3',
+                                              'measured_match' => [ ['entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%opIfIndex%' ] ]);
+
+$config['mibs'][$mib]['sensor'][]     = array('oid'            => 'opModuleCurrent',
+                                              'table'          => 'nmsepononuopticalportTable',
+                                              'descr'          => 'TX bias %port_label%',
+                                              'oid_extra'      => 'opIfIndex',
+                                              'class'          => 'current',
+                                              'scale'          => 0.000002,
+                                              'invalid'        => -65535,
+                                              'oid_num'        => '.1.3.6.1.4.1.3320.101.10.5.1.4',
+                                              'measured_match' => [ ['entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%opIfIndex%' ] ]);
+
+$config['mibs'][$mib]['sensor'][]     = array('oid'            => 'opModuleRxPower',
+                                              'table'          => 'nmsepononuopticalportTable',
+                                              'descr'          => 'RX Power %port_label%',
+                                              'oid_extra'      => 'opIfIndex',
+                                              'class'          => 'dbm',
+                                              'scale'          => 0.1,
+                                              'invalid'        => -65535,
+                                              'oid_num'        => '.1.3.6.1.4.1.3320.101.10.5.1.5',
+                                              'measured_match' => [ ['entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%index%' ] ]);
+
+$config['mibs'][$mib]['sensor'][]     = array('oid'            => 'opModuleTxPower',
+                                              'table'          => 'nmsepononuopticalportTable',
+                                              'descr'          => 'TX Power %port_label%',
+                                              'oid_extra'      => 'opIfIndex',
+                                              'class'          => 'dbm',
+                                              'scale'          => 0.1,
+                                              'invalid'        => -65535,
+                                              'oid_num'        => '.1.3.6.1.4.1.3320.101.10.5.1.6',
+                                              'measured_match' => [ ['entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%opIfIndex%' ] ]);
+
 // EOF
